
import "DhorPlugins.PagedSlots";

slots = pagedSlotsWindow();

slotsCommand = Turbine.ShellCommand();

function slotsCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		slots:SetVisible( true );
	elseif ( arguments == "hide" ) then
		slots:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		slots:SetVisible( not slots:IsVisible() );
	elseif ( arguments ~= nil ) then
		slotsCommand:GetHelp();
	end
end

function slotsCommand:GetHelp()
	Turbine.Shell.WriteLine( "Paged Slots\n\nslots show: Show the PagedSlots");
	Turbine.Shell.WriteLine( "slots hide: Hides the PagedSlots");
	Turbine.Shell.WriteLine( "slots toggle: Toggle the PagedSlots");
end

Turbine.Shell.AddCommand( "slots", slotsCommand );
